Bug 1855844 - vSphere IPI - Need validation on IP inputs
Summary: vSphere IPI - Need validation on IP inputs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Aditya Narayanaswamy
QA Contact: jima
URL:
Whiteboard:
Depends On: 1853859
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-10 16:35 UTC by OpenShift BugZilla Robot
Modified: 2020-08-17 20:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-17 20:05:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3875 0 None closed [release-4.5] Bug 1855844: Add validations for IP inputs 2021-01-18 02:37:31 UTC
Red Hat Product Errata RHBA-2020:3330 0 None None None 2020-08-17 20:06:19 UTC

Comment 3 jima 2020-08-10 08:12:16 UTC
Verified on 4.5.0-0.nightly-2020-08-08-162221 and passed.

# ./openshift-install create cluster --dir ./install
? SSH Public Key /root/.ssh/openshift-qe.pub
? Platform vsphere
? vCenter xxxxx.vmware.devcluster.openshift.com
? Username xxxxx@e2e.local
? Password [? for help] ************
INFO Connecting to vCenter xxxx.vmware.devcluster.openshift.com 
INFO Defaulting to only available datacenter: dc1 
INFO Defaulting to only available cluster: devel  
? Default Datastore 10TB-GOLD
? Network VM Network
? Virtual IP Address for API 192.168.1.2
X Sorry, your reply was invalid: "192.168.1.2" should not be equal to the Virtual IP address for the API
? Virtual IP Address for Ingress [? for help]

Comment 5 errata-xmlrpc 2020-08-17 20:05:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3330


Note You need to log in before you can comment on or make changes to this bug.